training - Training #948
Node js training
07/19/2022 01:09 AM - Pariniti Sharma

Status: Closed Start date: 07/19/2022
Priority: Normal Due date:

Assignee: Bablu Saini % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 680.00 hours
Description

https://nodejs.dev/learn

History

#1 - 07/19/2022 09:42 AM - Bablu Saini

Node.js training/basics

#2 - 07/20/2022 09:43 AM - Bablu Saini

#Node.js training/basics = done
#Node.js training/basics/http methods=done
#Node.js training/basics/form validation= continue

#3 - 07/21/2022 09:51 AM - Bablu Saini

#Node.js training/basics/form validation= done
#Node.js training/basics/course-classes=continue

#4 - 07/22/2022 09:52 AM - Bablu Saini

Ticket No: 948
#Node.js training/basics/course-classes=continue
Total Hrs: 9.00

#5 - 07/25/2022 10:00 AM - Bablu Saini

#Node.js training/basics/course-classes

#6 - 07/26/2022 09:47 AM - Bablu Saini

#Node.js training/basics/course-classes=continue

#7 - 07/27/2022 09:38 AM - Bablu Saini

#Node.js training/basics/course-classes=continue
#Node.js training/basics/file-systum

#8 - 07/28/2022 09:47 AM - Bablu Saini

#Node.js training/basics/file-systum= done
#Node.js training/basics/course-classes=continue

#9 - 07/29/2022 10:01 AM - Bablu Saini

#Node.js training/basics/course-classes=continue
#Node.js training/basics=API practice

#10 - 08/01/2022 09:54 AM - Bablu Saini

#Node.js training/api/json file update with api/=done
#Node.js training/basics/course-classes=continue

#11 - 08/02/2022 09:53 AM - Bablu Saini

#Node.js training/basics/course-classes/create Middleware functions
#Node.js training/basics/course-classes/third party middleware function
#Node.js training/basics/course-classes/refactoring our routs and routers
#Node.js training/basics/course-classes/file structure
#12 - 08/03/2022 09:39 AM - Bablu Saini

#Node.js training/basics/course-classes/create login form

#Node.js training/basics/course-classes/connecting front end with back end

#13 - 08/04/2022 09:53 AM - Bablu Saini

#Node.js training/basics/course-classes/create login form

#Node.js training/basics/course-classes/connecting front end with back end

#14 - 08/05/2022 09:46 AM - Bablu Saini

#Node.js training/basics/course-classes/connecting front end with back end

#Node.js training/basics/course-classes/template design

#15 - 08/08/2022 09:35 AM - Bablu Saini
#Node.js training//template design

#16 - 08/09/2022 10:15 AM - Bablu Saini

#Node.js training//session management

#17 - 08/10/2022 09:52 AM - Bablu Saini

#Node.js training//session management
#Node.js training//video continue/error handling

#18 - 08/12/2022 09:48 AM - Bablu Saini

#Node.js training//video continue/error handling

#19 - 08/16/2022 10:14 AM - Bablu Saini
Ticket No: 948
#Node.js training//video continue/error handling

Total Hrs: 9.00

#20 - 08/17/2022 09:56 AM - Bablu Saini

#Node.js training//video continue/environment set
#Node.js training//video continue/mongo db

#21 - 08/22/2022 09:39 AM - Bablu Saini

#Node.js training//video continue/using mongo DB with mongoose
#Node.js training/table task

#22 - 08/23/2022 09:45 AM - Bablu Saini

#Node.js training/table task
#Node.js training//video continue/mongo DB create data ,schema,mvc

#23 - 08/24/2022 09:40 AM - Bablu Saini

#Node.js training//video continue/mongo DB
#Node.js training//form Ul design

#Node.js training//form validations

#Node.js training//data insert in database from form

#24 - 08/25/2022 09:53 AM - Bablu Saini

#Node.js training//modling
#Node.js training// fatch data with filtering
#Node.js training// create data from form and show data in table

#25 - 08/26/2022 09:48 AM - Bablu Saini

#Node.js training//show data in table
#Node.js training//delete query with dialog
#Node.js training//table responsive
#Node.js training//set web loader

#26 - 08/29/2022 09:35 AM - Bablu Saini
#Node.js training//stop browser back button
#Node.js training// aggrigations (sort , fillter , skip , limit , $match)

#27 - 08/30/2022 09:33 AM - Bablu Saini

#Node.js training//stop browser back button
#Node.js training//virtual properties
#Node.js training//mongoDB middleware

#28 - 08/31/2022 09:53 AM - Bablu Saini

#Node.js training//Query middleware

#Node.js training//Document middleware

#Node.js training//mongoDB data validation

#Node.js training//create pagination in admin portal project

#29 - 09/05/2022 09:42 AM - Bablu Saini

#Node.js training//signing user
#Node.js training//login user
#Node.js training//read JWT TOKEN

#30 - 09/06/2022 09:50 AM - Bablu Saini

#Node.js training//user Role
#Node.js training//jwt token

#31 - 09/07/2022 09:44 AM - Bablu Saini

#Node.js training//read jwt token

#Node.js training//postmen setup

#Node.js training//forget password functionality
#Node.js training//sending email with nodemailer
#Node.js training//updating the current user password
#Node.js training//updating the current user data
#Node.js training//delete the current user

#32 - 09/08/2022 10:30 AM - Bablu Saini

#Node.js training//Admin Portal/Login

#Node.js training//Admin Portal//sing Up

#Node.js training//Admin Portal//user authentication
#Node.js training//Admin Portal/form validaton

#33 - 09/09/2022 09:44 AM - Bablu Saini

#Node.js training//Admin Portal/form validaton
#Node.js training//cookies send and with jwt token

#34 - 09/12/2022 09:35 AM - Bablu Saini

#Node.js training//Admin Portal//implement rate limiting

#Node.js training//setting http headers

#Node.js training//implement rate limiting

#Node.js training//Admin Portal//user authentication ( error solve)

#35 - 09/13/2022 09:49 AM - Bablu Saini

#Node.js training//$lookup

#Node.js training//understanding type of relation between data
#Node.js training//understanding referenced and Imbedded data
#Node.js training//modeling location field

#36 - 09/14/2022 09:49 AM - Bablu Saini

#Node.js training//$lookup

#Node.js training//create document multiple table

#Node.js training//get review , user , tour ,data in embedded document
#Node.js training//get review data from id bases in embedded document
#Node.js training//delete review data from id bases in embedded document

#37 - 09/15/2022 09:37 AM - Bablu Saini

#Node.js training// update ,create, delete, functionality with error
#Node.js training// me endpoint (get current user )
#Node.js training// user authentication with jwt token
#Node.js training// user role management ( authorization)
#Node.js training// send otp on email

#Node.js training// save password in bcrypt formet

#38 - 09/16/2022 09:39 AM - Bablu Saini

#Node.js training// how to match bcrypt password

#Node.js training/admin portal/login functionality with otp

#Node.js training/admin portal/create account functionality with otp
#Node.js training/admin portal/resend otp functionality

#39 - 09/19/2022 09:51 AM - Bablu Saini

#Node.js training/admin portal/mongo db indexing

#Node.js training/admin portal/resend otp in signup page

#Node.js training/admin portal’/how work ejs in express

#Node.js training/admin portal/understanding partials ( include files)
#Node.js training/admin portal/create overview temp. in ejs and filling temp.
#Node.js training/admin portal/create tour temp. in ejs and filling temp.

#40 - 09/20/2022 09:55 AM - Bablu Saini

#Node.js training/build login screen in ejs

#Node.js training/login functionality and form validation
#Node.js training/logout functionality

#Node.js training/build error page in ejs formet
#Node.js training/logout functionality

#Node.js training/update current user data

#41 - 09/21/2022 09:35 AM - Bablu Saini

#Node.js training/update current user password

#Node.js training/understanding about the multer

#Node.js training/upload single file using multer

#Node.js training/upload multiple files using multer

#Node.js training/create gallery page and show uploaded images
#Node.js training/send mail with ejs template

#42 - 09/22/2022 09:54 AM - Bablu Saini

#Node.js training/send mail with all ejs template

#Node.js training/create user account ( functionality and temp in ejs format)
#Node.js training/create new booking functionality for user

#Node.js training/get user booking functionality

#Node.js training/create conformation temp in ejs format

#43 - 09/23/2022 09:42 AM - Bablu Saini

#Node.js training/understanding git
#Node.js training/upload project on GitHub
#Node.js training/understanding deployment

#44 - 09/26/2022 10:01 AM - Bablu Saini

#Node.js training/understanding deployment (Heroku )
#Node.js training/trying fix error in ( web hosting using heroku)

#45 - 09/27/2022 09:46 AM - Bablu Saini

#Node.js training/ fix error in ( web hosting using heroku)
#Node.js training/form validation

#46 - 09/28/2022 09:49 AM - Bablu Saini

#Node.js training/show error message using flash message
#Node.js training/understanding ajax in jQuery

#47 - 09/29/2022 09:54 AM - Bablu Saini

#Node.js training/understanding jQuery

#Node.js training/admin-portal/post data with ajax using jQuery

#Node.js training/admin-portal/show error message using ajax without refresh page
#Node.js training/admin-portal/otp functionality using node and jQuery ajax
#Node.js training/host admin portal ( Continue )
#48 - 09/30/2022 09:39 AM - Bablu Saini
#Node.js training/create otp with pop up

#Node.js training/understanding how to set loader
#Node.js training/create otp functionality without popup

#Node.js training/set leader in admin-portal

#49 - 10/03/2022 09:43 AM - Bablu Saini

#Node.js training/create loader in clover website

#Node.js training/responsive clover website

#50 - 10/04/2022 09:31 AM - Bablu Saini

1. Learning responsive layout.
2. Doing given task by Kunal sir
3. understanding pug engine

4. convert clover web page from ejs into pug

#51 - 10/06/2022 09:56 AM - Bablu Saini

1. understanding pug engine

2. convert clover web page from ejs into pug

3. login form in pug
4. convert html to doc using javasript
#solve search problem in leo project

#52 - 10/07/2022 09:31 AM - Bablu Saini

1. solve search problem in leo project
2. convert html to doc using javasript
3. packages update for leo project

4. convert html to doc 2nd way

#53 - 10/10/2022 09:40 AM - Bablu Saini

1. convert html to doc using JavaScript
2. # convert html to pdf using JavaScript

#54 - 10/11/2022 09:48 AM - Bablu Saini

1. # when convert html to pdf then generate blank page issue
2. # login and redirect functionality in tour Booking project
3. # delete functionality in booking project

4. # finding the solution for back button

#55 - 10/13/2022 09:53 AM - Bablu Saini

1. Setup elastic and Kibana on system.
2. Taking understanding of the project.

#56 - 10/14/2022 09:38 AM - Bablu Saini
Ticket No: 948

1. Taking understanding of the project.
2. understanding inspecions'
total Hrs: 9.0

#57 - 10/18/2022 09:26 AM - Bablu Saini

Taking understanding of the project.

#58 - 10/20/2022 09:22 AM - Bablu Saini

1. working on task given by kunal sir
2. Taking understanding of the project
#59 - 10/21/2022 09:26 AM - Bablu Saini

1. working on find id onclick
2. Taking understanding of the project

#60 - 10/28/2022 09:37 AM - Bablu Saini

1. Taking understanding of the project
2. Will work on task, if any.
3. find the loginAs method is where called

#61 - 10/31/2022 09:45 AM - Bablu Saini

1. Taking understanding of the project
2. Worked on DD-263

3. Understanding the code behavior for background tasks

#62 - 11/01/2022 09:28 AM - Bablu Saini

1. Taking understanding of the project

2. Understanding the code behavior for background tasks

#solve click issue on out of popup

#created Api for distroy token of user on sign out timing

#63 - 11/02/2022 09:36 AM - Bablu Saini

1. Taking understanding of the project

#64 - 11/03/2022 09:35 AM - Bablu Saini

1. Taking understanding of the project
#created api for delete leoUser Token

#65 - 11/07/2022 08:44 AM - Bablu Saini

1. Taking understanding of the project

#66 - 11/08/2022 08:31 AM - Bablu Saini

1. Taking understanding of the project
#disable out side click in popup

#67 - 11/09/2022 08:56 AM - Bablu Saini

1. Taking understanding of the project
#Leo Project - Testing DD-210

#68 - 11/10/2022 08:30 AM - Bablu Saini

1. Taking understanding of the project
#Leo Project - Testing DD-210

#69 - 11/11/2022 08:57 AM - Bablu Saini

1. Taking understanding of the project
#Leo Project - Testing DD-210

#70 - 11/14/2022 08:47 AM - Bablu Saini

1. Taking understanding of the project
2. work on DD-263

#71 - 11/15/2022 09:07 AM - Bablu Saini
1. Taking understanding of the project
#understanding unit testing
#popup set

#72 - 11/16/2022 08:55 AM - Bablu Saini

1. Taking understanding of the project
#popup set
#upload form excel

#73 - 11/17/2022 08:50 AM - Bablu Saini

1. Taking understanding of the project
#upload form excel

#74 - 11/21/2022 09:05 AM - Bablu Saini

1. Taking understanding of the project
#upload form excel

#75 - 11/24/2022 08:50 AM - Bablu Saini

1. Taking understanding of the project
2. forgot password

#76 - 11/25/2022 09:30 AM - Bablu Saini

1. Taking understanding of the project
2. forgot password

#77 - 06/26/2024 05:30 AM - Karishma Tak

- Status changed from New to Closed
